#!/usr/bin/perl

#----------------------------------------------------------------------
#-- 
#-- Modulname:
#-- ----------
#--
#--    error_codes.pm
#--   
#--
#-- Description:
#-- ------------
#--
#--    This file is a kind of a header file because all somehow related
#--    constants, in this special case error related, are defined in it.
#--    The exported ones are easily accessible from inside the importing script.
#--
#-- 
#-- History:
#-- --------
#--
#--    07|08|1999 Initial startup
#--    07|27|1999 Added message queue related codes
#--
#----------------------------------------------------------------------

package error_codes;

use Exporter ();
@ISA = qw(Exporter);
@EXPORT = qw($success $no_error $error $open_file_failed $close_file_failed $lock_file_failed $get_mq_id_failed $send_mq_msg_failed);

#-- Set the version for version checking
$version = "07131999";


#-- Self-explanatory constants !?!
$success = 1;
$no_error = $success;
$error = 0;

#-- File handling related error codes
$open_file_failed = 1000;
$close_file_failed = 1001;
$lock_file_failed = 1002;

#-- Message queue related error codes
$get_mq_id_failed = 1100;
$send_mq_msg_failed = 1101;

1;