package pid;
#----------------------------------------------------------------------
#-- 
#-- Modulename:
#-- -----------
#--
#--    pid.pm
#--   
#--
#-- Description:
#-- ------------
#--
#--    The pid.pm module includes routines to handle the file that holds
#--    the Process-IDs of the running falcon-processes.
#-- 
#--
#-- History:
#-- --------
#--    
#--    30|11|1999 - Initial startup
#--
#----------------------------------------------------------------------

use Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(write_pid remove_pid);

use FileHandle;

use error_codes;
use const_values;

#----------------------------------------------------------------------
#-- 
#-- Subroutinename:
#-- ---------------
#--
#--    write_pid
#--
#--   
#-- Description:
#-- ------------
#--
#--    A process calls this routine, to write its PID to the central
#--    $pid_file
#--
#-- 
#-- Arguments:
#-- ----------
#--
#--    None
#--
#--
#-- Side-effects:
#-- -------------
#--
#--    None
#--
#----------------------------------------------------------------------
sub write_pid
{
   open(PIDFILE,">>$pid_file") or die "Could not open PID-File,$pid_file:$!\n";
      print PIDFILE $$,"\n";
   close(PIDFILE);
}

sub remove_pid
{
   print "Removing PID $$\n";
   print open(PIDFILE,"$pid_file") or die "Could not open PID-File,$pid_file:$!\n";
   my @PIDS = <PIDFILE>;
   print @PIDS;
   close(PIDFILE);
   my @NEWPIDS = ();
   foreach my $pid (@PIDS) 
   {
      if ($pid !~ /^($$)$/)
      {
         push @NEWPIDS, $pid;
      }
   }
   open(PIDFILE,">$pid_file") or die "Could not open PID-File,$pid_file:$!\n";
   foreach my $pid (@NEWPIDS) 
   {
      chop $pid;
      print PIDFILE "$pid\n";
   }
   close(PIDFILE);
}