#!/usr/bin/perl

#----------------------------------------------------------------------
#--
#-- Programname:
#-- ------------
#--
#--    stop_falcon.pl
#--
#--
#-- Description:
#-- ------------
#--
#--    Reads the $pid_file and stops (sends a signal to) the processes
#--    that have the PIDs standing in $pid_file.
#--
#--
#-- Arguments:
#-- ----------
#--
#--    In:
#--    In-Out:
#--    Out:
#--
#--
#-- History:
#-- --------
#--
#--    11|30|1999 Initial startup
#--
#----------------------------------------------------------------------

use lib "/usr/local/falcon/lib/perl5";
use const_values;
open(PIDFILE,"$pid_file");
@PIDS = <PIDFILE>;
close(PIDFILE);

#-- The PID of falconlogd stands always at top of $pid_file
#-- Since falconlogd should be the last process to exit, we shift its
#-- PID to the end of the list
push(@PIDS, shift(@PIDS));
print "Stopping falcon... ";
foreach $pid (@PIDS) {
   chomp $pid;
   kill 'TERM', $pid;
}
unlink $pid_file;
print "done.\n";